containers-0.5.10.2: Assorted concrete container types

Copyright | (c) Clark Gaebel 2012 (c) Johan Tibel 2012
License | BSD-style
Maintainer | libraries@haskell.org
Portability | portable
Safe Haskell | Trustworthy
Language | Haskell98

Utils.Containers.Internal.BitUtil

Description

Synopsis

- highestBitMask :: Word -> Word
- shiftLL :: Word -> Int -> Word
- shiftRL :: Word -> Int -> Word
- wordSize :: Int

# Documentation

highestBitMask :: Word -> Word #

Return a word where only the highest bit is set.

shiftLL :: Word -> Int -> Word #

shiftRL :: Word -> Int -> Word #

wordSize :: Int #